import { datetime_format } from "@/utils/formatters";

export const tableOption = {
  border: false,
  selection: false,
  stripe: true,
  align: 'center',
  searchShow: false,
  searchBtn: false,
  refreshBtn: false,
  columnBtn: false,
  menu: false,
  searchShowBtn: false,
  addBtn: false,
  rowKey: 'id',
  column: [{
    label: '受邀客户手机号',
    prop: 'phone',
    width: 150,
  }, {
    label: '进入直播间时间',
    prop: 'enterTime',
    formatter: (_, v) => datetime_format(v),
    width: 150,
  }, {
    label: '邀约客户经理信息',
    prop: 'customerManager',
    align: 'left',
  }]
}

export default tableOption;