export const tableOption = {
  searchMenuSpan: 6,
  border: true,
  // selection: true,
  index: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  // menuWidth: 350,
  align: 'center',
  searchSize: 'mini',
  addBtn: true,
  editBtn: true,
  delBtn: true,
  viewBtn: false,
  searchShowBtn: false,
  refreshBtn: false,
  columnBtn: false,
  rowKey: 'id',
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
    {
      label: '用户昵称',
      prop: 'nickname',
      search: true
    }, 
    {
      label: '手机号码',
      prop: 'phoneHidden',
      display: false
    },
    {
      label: '手机号码',
      prop: 'phone',
      search: true,
      hide: true
    },
    {
      label: "是否房间管理员",
      prop: "isRoomManager",
      search: true,
      display: false,
      type: "select",
      searchLabelWidth: 130,
      dicData: [{
        label: "是",
        value: true
      }, {
        label: "否",
        value: false
      }]
    },
    {
      label: '角色',
      prop: 'role',
      search: true,
      type: "select",
      dicData: [{
        label: "普通用户",
        value: 0
      }, {
        label: "管理员",
        value: 1
      }, {
        label: "超级管理员",
        value: 2
      }]
    },
    {
      label: '注册时间',
      prop: 'createdAt',
      type: "date",
      display: false,
      imgWidth: 150
    }
  ]
}
