export const tableOption = {
  searchMenuSpan: 6,
  border: true,
  selection: false,
  stripe: true,
  menuAlign: 'center',
  menuFixed: false,
  align: 'center',
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  searchShowBtn: false,
  refreshBtn: false,
  columnBtn: false,
  index: true,
  indexLabel: "序号",
  menuWidth: 400,
  rowKey: 'id',
  props: {
    label: 'label',
    value: 'value'
  },
  column: [{
      label: '名称',
      prop: 'title',
      search: true,
    }, {
      label: '封面图',
      prop: 'imageCover',
      type: 'upload',
      listType: 'picture-img',
      width: 160,
    }, {
      label: '开始/停止',
      prop: "startup",
      slot: true,
      width: 70,
    }, {
      label: '首页显示',
      prop: 'showInList',
      slot: true,
      width: 80,
    }
  ]
}

export default tableOption;